package com.simuwang.base.pojo.dto.sys;

import com.simuwang.base.common.support.command.BaseAddCmd;
import com.simuwang.base.pojo.dos.sys.SysRoleDO;
import jakarta.validation.constraints.NotBlank;
import lombok.Getter;
import lombok.Setter;

/**
 * @author wangzaijun
 * @date 2024/9/13 17:26
 * @description 新增角色的接口请求参数
 */
@Setter
@Getter
public class RoleAddCmd extends BaseAddCmd<SysRoleDO> {
    /**
     * 角色名称
     */
    @NotBlank(message = "角色名称不能为空")
    private String roleName;
    /**
     * 角色权限
     */
    private String roleKey;
    /**
     * 角色排序
     */
    private Integer roleSort;

    private Integer status;

    private String remark;

    @Override
    public SysRoleDO toEntity() {
        SysRoleDO entity = new SysRoleDO();
        entity.setRoleName(this.roleName);
        entity.setRoleKey(this.roleKey);
        entity.setRoleSort(this.roleSort == null ? 10 : this.roleSort);
        entity.setStatus(this.status);
        entity.setRemark(this.remark);
        return entity;
    }
}
